# This file was auto-generated by Fern from our API Definition.

import typing_extensions
import typing_extensions
import typing
from .qna_response import QnaResponseParams
from ..types.speech_to_text_translate_language import SpeechToTextTranslateLanguage
from .diarized_transcript import DiarizedTranscriptParams


class CallAnalyticsResponseParams(typing_extensions.TypedDict):
    request_id: typing_extensions.NotRequired[str]
    file_name: typing_extensions.NotRequired[str]
    """
    Unique identifier for the analyzed audio file.
    """

    transcript: str
    """
    Full transcript of the call generated by Sarvam's inhouse speech-to-text model.
    """

    answers: typing_extensions.NotRequired[typing.Sequence[QnaResponseParams]]
    """
    List of answers to predefined questions, derived from the call analysis. It can be null if no valid answers were generated.
    """

    duration_in_seconds: typing_extensions.NotRequired[float]
    """
    Duration of the analyzed call in seconds.
    """

    language_code: typing_extensions.NotRequired[SpeechToTextTranslateLanguage]
    """
    This will return the BCP-47 code of language spoken in the input. If multiple languages are detected, this will return language code of most predominant spoken language. If no language is detected, this will be null
    """

    diarized_transcript: typing_extensions.NotRequired[DiarizedTranscriptParams]
    """
    Diarized transcript of the provided speech
    """
