# This file was auto-generated by Fern from our API Definition.

import typing_extensions


class QnaResponseParams(typing_extensions.TypedDict):
    id: str
    """
    Unique identifier for the question-answer pair, corresponding to the question ID in the request.
    """

    question: str
    """
    The original question text that was asked and analyzed.
    """

    reasoning: str
    """
    Explanation or reasoning provided by the analysis model to justify the answer.
    """

    response: str
    """
    The answer to the question, derived from the call analysis. The format may vary based on the question type (e.g., boolean, enum, text).
    """

    utterance: str
    """
    Relevant excerpt from the call transcript that supports the answer. This provides direct evidence for the response.
    """
