# This file was auto-generated by Fern from our API Definition.

from ..core.pydantic_utilities import UniversalBaseModel
import typing
import pydantic
from .qna_response import QnaResponse
from .speech_to_text_translate_language import SpeechToTextTranslateLanguage
from .diarized_transcript import DiarizedTranscript
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class CallAnalyticsResponse(UniversalBaseModel):
    request_id: typing.Optional[str] = None
    file_name: typing.Optional[str] = pydantic.Field(default=None)
    """
    Unique identifier for the analyzed audio file.
    """

    transcript: str = pydantic.Field()
    """
    Full transcript of the call generated by Sarvam's inhouse speech-to-text model.
    """

    answers: typing.Optional[typing.List[QnaResponse]] = pydantic.Field(default=None)
    """
    List of answers to predefined questions, derived from the call analysis. It can be null if no valid answers were generated.
    """

    duration_in_seconds: typing.Optional[float] = pydantic.Field(default=None)
    """
    Duration of the analyzed call in seconds.
    """

    language_code: typing.Optional[SpeechToTextTranslateLanguage] = pydantic.Field(default=None)
    """
    This will return the BCP-47 code of language spoken in the input. If multiple languages are detected, this will return language code of most predominant spoken language. If no language is detected, this will be null
    """

    diarized_transcript: typing.Optional[DiarizedTranscript] = pydantic.Field(default=None)
    """
    Diarized transcript of the provided speech
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
